Subject: Re: [6pack] New Clutch

From: John Cyganowski via 6pack <[email-masked]>
Date: Tue, 10 Nov 2015 02:42:25 -0800

--===============3402143223792463240==

---893592912-1963361173-1447152145=:43054

What Are the symptoms that are pushing you to a new clutch?

A lot has been written about the TR6 clutch over the years, because it has proven troublesome. The Williams books cover this well. The big thing is that the clutch is such a PITA to get to, the last thing you want to do is go back in. 

For standard driving applications the Sachs clutch has had many favorable reports. It does most closely resemble the Laycock clutches that were used from the factory. I think the standard magic clutch kit is based on this one although you can opt for other brands. One thing I really would agree with TRF about is the necessity of replacing the linkage pieces with new components. It is not that expensive and you will have a lineage system that is in tip top shape. The linkage has to be in good condition for the clutch to function well. 

The next question is;&quot;What throw-out bearing?&quot;  The original RHP units are still available. However there were some quality issues with them a few years about and TRF doesn&#39;t recommend them anymore. 

The Koyo bearing and most recently the KYK bearings seem like the are the best of what is out there. 

There is a lot more that can be said but I will leave it for another time. 

Check out the TRF offerings. British Parts Northwest is also very competitive on clutch parts as well. 

Best of luck
John Cyganowski
70 Damson 
CC52927LO

---893592912-1963361173-1447152145=:43054

<table cellspacing="0" cellpadding="0" border="0"><tr><td valign="top"><div>What Are the symptoms that are pushing you to a new clutch?<br /><br />A lot has been written about the TR6 clutch over the years, because it has proven troublesome. The Williams books cover this well. The big thing is that the clutch is such a PITA to get to, the last thing you want to do is go back in. <br /><br />For standard driving applications the Sachs clutch has had many favorable reports. It does most closely resemble the Laycock clutches that were used from the factory. I think the standard magic clutch kit is based on this one although you can opt for other brands. One thing I really would agree with TRF about is the necessity of replacing the linkage pieces with new components. It is not that expensive and you will have a lineage system that is in tip top shape. The linkage has to be in good condition for the clutch to function well. <br /><br />The next question
 is;"What throw-out bearing?"  The original RHP units are still available. However there were some quality issues with them a few years about and TRF doesn't recommend them anymore. <br /><br />The Koyo bearing and most recently the KYK bearings seem like the are the best of what is out there. <br /><br />There is a lot more that can be said but I will leave it for another time. <br /><br />Check out the TRF offerings. British Parts Northwest is also very competitive on clutch parts as well. <br /><br />Best of luck<br />John Cyganowski<br />70 Damson <br />CC52927LO<br /></div></td></tr></table>
---893592912-1963361173-1447152145=:43054--

--===============3402143223792463240==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack

--===============3402143223792463240==--